#!/bin/bash
doneit='/var/lib/vlan_installed'
packages='vlan'
pidfile=/var/run/igmpproxy.pid


if [ ! -e $doneit ]; then
  sudo dpkg --configure -a
  apt-get update
  apt-get install -y $packages
fi 
if [ $? == 0 ]; then
    echo package install successful
    modprobe 8021q

    /sbin/vconfig set_egress_map eth0.840 0 5
    /sbin/vconfig set_egress_map eth0.838 0 4
    /sbin/vconfig set_egress_map eth0.840 1 5
    /sbin/vconfig set_egress_map eth0.838 1 4
    /sbin/vconfig set_egress_map eth0.840 2 5
    /sbin/vconfig set_egress_map eth0.838 2 4
    /sbin/vconfig set_egress_map eth0.840 3 5
    /sbin/vconfig set_egress_map eth0.838 3 4
    /sbin/vconfig set_egress_map eth0.840 4 5
    /sbin/vconfig set_egress_map eth0.838 4 4
    /sbin/vconfig set_egress_map eth0.840 5 5
    /sbin/vconfig set_egress_map eth0.838 5 4
    /sbin/vconfig set_egress_map eth0.840 6 5
    /sbin/vconfig set_egress_map eth0.838 6 4
    /sbin/vconfig set_egress_map eth0.840 7 5
    /sbin/vconfig set_egress_map eth0.838 7 4
    /sbin/vconfig set_egress_map eth0.851 0 6
    /sbin/vconfig set_egress_map eth0.851 1 6
    /sbin/vconfig set_egress_map eth0.851 2 6
    /sbin/vconfig set_egress_map eth0.851 3 6
    /sbin/vconfig set_egress_map eth0.851 6 6
    /sbin/vconfig set_egress_map eth0.851 5 6
    /sbin/vconfig set_egress_map eth0.851 6 6
    /sbin/vconfig set_egress_map eth0.851 7 6
  
    touch $doneit
  else
    echo package install failed
  exit -1
  fi
#kill `cat $pidfile`

dhclient -cf /config/dhclient.conf br0

/sbin/start-stop-daemon --start --startas /sbin/igmpproxy --make-pidfile --pidfile $pidfile --background -- /etc/igmpproxy.conf

exit 0
